- Main Page
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# moAspirCrit< M > Class Template Reference

Description of the conditions in which a tabu move could be accepted. More...

`#include <moAspirCrit.h>`

Inheritance diagram for moAspirCrit< M >:

List of all members.

## Public Member Functions
virtual void | init ()=0
| Procedure which initialises all that needs an aspiration criterion.

## Detailed Description

### template<class M>
class moAspirCrit< M >

Description of the conditions in which a tabu move could be accepted.

It is only a description... An object that herits from this class is needed to be used in a moTS. See moNoAspriCrit for example.

Definition at line 47 of file moAspirCrit.h.

## Member Function Documentation

template<class M>

virtual void moAspirCrit< M >::init | ( |  | ) | `[pure virtual]`

Procedure which initialises all that needs an aspiration criterion.

It can be possible that this procedure does nothing...

Implemented in moImprBestFitAspirCrit< M >, and moNoAspirCrit< M >.

The documentation for this class was generated from the following file:

- moAspirCrit.h